Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorThresholdManipulator Class Reference

Vertex manipulator to set vertex color to one of two values depending on a given threshold. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorThresholdManipulator:

List of all members.

## Public Member Functions

void | operator() (video::S3DVertex &vertex) const
| SVertexColorThresholdManipulator (u8 threshold, video::SColor low, video::SColor high)

## Detailed Description

Vertex manipulator to set vertex color to one of two values depending on a given threshold.

If average of the color value is >Threshold the High color is chosen, else Low.

Definition at line 63 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorThresholdManipulator::SVertexColorThresholdManipulator | ( | u8 | threshold,
|  | video::SColor | low,
|  | video::SColor | high |
| ) |  |  | `[inline]`

Definition at line 66 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorThresholdManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 68 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)